org.eclipse.ltk.ui.refactoring.history

## Class RefactoringHistoryLabelProvider

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.jface.viewers.BaseLabelProvider
    - - org.eclipse.jface.viewers.LabelProvider
      - - org.eclipse.ltk.ui.refactoring.history.RefactoringHistoryLabelProvider

All Implemented Interfaces:
  IBaseLabelProvider, ILabelProvider

    public class RefactoringHistoryLabelProvider
    extends LabelProvider

Label provider to display a refactoring history. This label provider can be used in conjunction with `RefactoringHistoryContentProvider` or directly on `RefactoringDescriptorProxy` and `RefactoringHistory` elements.

Note: this class is not indented to be subclassed outside the refactoring framework.

Since:
  3.2
See Also:
  `IRefactoringHistoryControl`, `RefactoringHistoryControlConfiguration`, `RefactoringHistoryContentProvider`
Restriction:
  This class is not intended to be subclassed by clients.

### Constructor Summary

Constructors
Constructor and Description
`RefactoringHistoryLabelProvider(RefactoringHistoryControlConfiguration configuration)` Creates a new refactoring history label provider.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `dispose()` The `BaseLabelProvider` implementation of this `IBaseLabelProvider` method clears its internal listener list.
`Image` `getImage(Object element)` The `LabelProvider` implementation of this `ILabelProvider` method returns `null`.
`String` `getText(Object element)` The `LabelProvider` implementation of this `ILabelProvider` method returns the element's `toString` string.

### Methods inherited from class org.eclipse.jface.viewers.BaseLabelProvider

`addListener, fireLabelProviderChanged, isLabelProperty, removeListener`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.viewers.IBaseLabelProvider

`addListener, isLabelProperty, removeListener`

### Constructor Detail

#### RefactoringHistoryLabelProvider

    public RefactoringHistoryLabelProvider(RefactoringHistoryControlConfiguration configuration)

Creates a new refactoring history label provider.

Parameters:
  `configuration` - the refactoring history control configuration to use

### Method Detail

#### dispose

    public void dispose()

Description copied from class: `BaseLabelProvider`
The `BaseLabelProvider` implementation of this `IBaseLabelProvider` method clears its internal listener list. Subclasses may extend but should call the super implementation.

Specified by:
  `dispose` in interface `IBaseLabelProvider`
Overrides:
  `dispose` in class `BaseLabelProvider`

#### getImage

    public Image getImage(Object element)

Description copied from class: `LabelProvider`
The `LabelProvider` implementation of this `ILabelProvider` method returns `null`. Subclasses may override.

Specified by:
  `getImage` in interface `ILabelProvider`
Overrides:
  `getImage` in class `LabelProvider`
Parameters:
  `element` - the element for which to provide the label image
Returns:
  the image used to label the element, or `null` if there is no image for the given object

#### getText

    public String getText(Object element)

Description copied from class: `LabelProvider`
The `LabelProvider` implementation of this `ILabelProvider` method returns the element's `toString` string. Subclasses may override.

Specified by:
  `getText` in interface `ILabelProvider`
Overrides:
  `getText` in class `LabelProvider`
Parameters:
  `element` - the element for which to provide the label text
Returns:
  the text string used to label the element, or `null` if there is no text label for the given object